<?php
/*
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: ../../index.php'));
	
// Create tables

$table = TABLE_PREFIX .'mod_portfolio_settings';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`section_id` INT NOT NULL DEFAULT '0',
	`page_id` INT NOT NULL DEFAULT '0',
	`thumbheight` INTEGER NOT NULL DEFAULT '120',
	`thumbwidth` INTEGER NOT NULL DEFAULT '160',
	`mediumheight` INTEGER NOT NULL DEFAULT '225',
	`mediumwidth` INTEGER NOT NULL DEFAULT '300',
	`fullheight` INTEGER NOT NULL DEFAULT '600',
	`fullwidth` INTEGER NOT NULL DEFAULT '800',
	`autostep` INTEGER NOT NULL DEFAULT '1',
	`moveby` INTEGER NOT NULL DEFAULT '1',
	`speed` INTEGER NOT NULL DEFAULT '500',
	`delay` INTEGER NOT NULL DEFAULT '5000',
	`carouselwidth` INTEGER NOT NULL DEFAULT '400',
	`borderwidth` INTEGER NOT NULL DEFAULT '1',
	`bordercolor` VARCHAR(6) NOT NULL DEFAULT '7f7f7f',
	`fields` TEXT NOT NULL,
	`template` TEXT NOT NULL,
	PRIMARY KEY (`section_id`)
	)"
);

?>