<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

require('../../config.php');

// Include WB admin wrapper script
$update_when_modified = true; // Tells script to update when this page was last updated
require(WB_PATH.'/modules/admin.php');

// Include the WB functions file
require_once(WB_PATH.'/framework/functions.php');

// Update the mod_wysiwygs table with the contents
if(isset($_POST['mw'])) {
	$tw = $admin->add_slashes($_POST['tw']);
	$th = $admin->add_slashes($_POST['th']);
	$mw = $admin->add_slashes($_POST['mw']);
	$mh = $admin->add_slashes($_POST['mh']);
	$fw = $admin->add_slashes($_POST['fw']);
	$fh = $admin->add_slashes($_POST['fh']);
	$cw = $admin->add_slashes($_POST['cwidth']);
	$sc = $admin->add_slashes($_POST['scroll']);
	$sp = $admin->add_slashes($_POST['speed']);
	$mb = $admin->add_slashes($_POST['moveby']);
	$dl = $admin->add_slashes($_POST['delay']);
	$bw = $admin->add_slashes($_POST['bwidth']);
	$bc = $admin->add_slashes($_POST['bcolor']);
	$fi = $admin->add_slashes($_POST['fields']);
	$tp = $admin->add_slashes($_POST['template']);
	
	$database = new database();
	$query = "UPDATE ".TABLE_PREFIX."mod_portfolio_settings SET 
		`thumbheight` = '$th',
		`thumbwidth` = '$tw',
		`mediumheight` = '$mh',
		`mediumwidth` = '$mw',
		`fullheight` = '$fh',
		`fullwidth` = '$fw',
		`autostep` = '$sc',
		`speed` = '$sp',
		`moveby` = '$mb',
		`delay` = '$dl',
		`carouselwidth` = '$cw',
		`borderwidth` = '$bw',
		`bordercolor` = '$bc',
		`fields` = '$fi',
		`template` = '$tp'
		WHERE `section_id` = '$section_id'";
	$database->query($query);	
}

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();

?>