<?php

function portfolio_search($func_vars) {
	
extract($func_vars, EXTR_PREFIX_ALL, 'func');
$max_excerpt_num = $func_default_max_excerpt;
$divider = ".";
$result = false;

if ( !function_exists ('__unserialize')) {
	function __unserialize($sObject) {
		$__ret =preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", $sObject );
	return unserialize($__ret);
	}
}

$result = false;
$counter = 0;
$pages = $func_database->query('SELECT page_id, page_title FROM '.TABLE_PREFIX.'pages WHERE `parent` = '.$func_page_id.' ORDER BY position');
if ($pages && $pages->numRows() > 0) {
	while ($subpage = $pages->fetchRow()) {
		$thepage = $subpage['page_id'];
		$counter++;
		$query = $func_database->query('SELECT * FROM '.TABLE_PREFIX.'mod_portfolio_detail WHERE page_id = '.$thepage);
		if ($query && $query->numRows() > 0) { 
			$res = $query->fetchRow();
			$text = $res['alt'].$divider.$res['content'].$divider;
			$efields = __unserialize($res['serialized']);
			foreach ($efields as $d) {
				$text .= $d.$divider;
			}
			//echo $text;
			$mod_vars = array(
				'page_link' => $func_page_link , 
				'page_link_target' => "&item=$counter",
				'page_title' => $func_page_title,
				'page_description' => $func_page_description, 
				'page_modified_when' => $func_page_modified_when,
				'page_modified_by' => $func_page_modified_by,
				'text' => $text,
				'max_excerpt_num' => $max_excerpt_num
			);
			if(print_excerpt2($mod_vars, $func_vars)) {
				$result = true;
			}
		} 
	}	
}
	
	
return $result;
}
?>
