<?php
/**
*	Must include code to stop this file being access directly
*/
if(defined('WB_PATH') == false) exit("Cannot access this file directly");
require_once(WB_PATH.'/modules/portfolio/languages/EN.php');
if(file_exists(WB_PATH.'/modules/portfolio/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/portfolio/languages/'.LANGUAGE.'.php');
}

function __unserialize($sObject) {  // found in php manual :-)
    $__ret =preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'", $sObject );
	return unserialize($__ret);
}
$resize_panels = true;

$portfolio_dir = WB_PATH.MEDIA_DIRECTORY.'/portfolio';
$portfolio_url = WB_URL.MEDIA_DIRECTORY.'/portfolio';

$query = "SELECT * FROM ".TABLE_PREFIX."mod_portfolio_settings WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
if (!$get_settings) die("Invalid page, please remove this section and create a new one!");
$settings = $get_settings->fetchRow();

$thumbheight = $settings['thumbheight'];
$thumbwidth = $settings['thumbwidth'];

$autostep = $settings['autostep']==1 ? 'true':'false';
$carouselwidth = $settings['carouselwidth'];
$borderwidth = $settings['borderwidth'];
$bordercolor = $settings['bordercolor'];

$speed = $settings['speed'];
$delay = $settings['delay'];
$moveby = $settings['moveby'];



$left = 'arrow-l.gif'; $right = 'arrow-r.gif'; $arrowheight = 32; $arrowwidth = 32;
//$left = 'arrowLeft.gif'; $right = 'arrowRight.gif'; $arrowheight = 38; $arrowwidth = 40;
//$left = 'leftnav.gif'; $right = 'rightnav.gif'; $arrowheight = 24; $arrowwidth = 24;
//$left = 'fat_arrow_left.gif'; $right = 'fat_arrow_right.gif'; $arrowheight = 50; $arrowwidth = 50;
//$left = 'sbArrow_left.gif'; $right = 'sbArrow_right.gif'; $arrowheight = 47; $arrowwidth = 46;
//$left = 'arrow-left.jpg'; $right = 'arrow-right.jpg'; $arrowheight = 44; $arrowwidth = 44;

$panelpadding = 5;
$panelwidth = $thumbwidth + ($panelpadding * 2);
$carouselheight = $thumbheight + ($panelpadding * 2);
$arrowpos = round(($carouselheight + ($borderwidth * 2) ) / 2 - ($arrowheight / 2) ,0);
$arrowshift = 0;
$buttons = "true";


echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery-1.2.6.pack.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.fancybox.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.metadata.js"></script>'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/jquery.pngFix.js"></script>'."\n";
echo '<link rel="stylesheet" type="text/css" href="' . WB_URL . '/modules/portfolio/script/fancybox.css" media="screen" />'."\n";
echo '<script type="text/javascript" src="' . WB_URL . '/modules/portfolio/script/stepcarousel.js"></script>'."\n";

echo "<script type=\"text/javascript\">
$(document).ready(function() {
	$('a.zoom').fancybox({
		'hideOnContentClick': true,
		'overlayShow':	true
});  
});
stepcarousel.setup({
	galleryid: 'mygallery', //id of carousel DIV
	beltclass: 'belt', //class of inner \"belt\" DIV containing all the panel DIVs
	panelclass: 'panel', //class of panel DIVs each holding content
	autostep: {enable:".$autostep.", moveby: 1, pause:".$delay."},
	panelbehavior: {speed:".$speed.", wraparound:false, persist:true},
	defaultbuttons: {enable: ".$buttons.", moveby: ".$moveby.", leftnav: ['" . WB_URL . "/modules/portfolio/images/".$left."', -".($arrowwidth-$arrowshift).", ".$arrowpos."], rightnav: ['" . WB_URL . "/modules/portfolio/images/".$right."', -".$arrowshift.", ".$arrowpos."]},
	contenttype: ['inline'] //content setting ['inline'] or ['external', 'path_to_external_file']
});
</script>";

echo '<style type="text/css">
.stepcarousel{
	position: relative; /*leave this value alone*/
	overflow: scroll; /*leave this value alone*/
	border: '.$borderwidth.'px solid #'.$bordercolor.';
	width: '.$carouselwidth.'px;
	height: '.$carouselheight.'px; /*Height should enough to fit largest contents height*/
	margin: 30px auto 30px auto;
}
.stepcarousel .belt{
	position: absolute; /*leave this value alone*/
	left: 0;
	top: 0;
}
.stepcarousel .panel{
	float: left; /*leave this value alone*/
	overflow: hidden; /*clip content that go outside dimensions of holding panel DIV*/
	margin: 0px; /*margin around each panel*/
	/* width: '.$panelwidth.'px; */
}
.panel img{
	border: 0;
	padding: '.$panelpadding.'px;
	height: '.$thumbheight.'px;
	/* width: '.$thumbwidth.'px; */
</style>';



global $database, $wb;
$current = PAGE_ID;
$curpage = 0;
$counter = 0;
$rdata = '';
$detaildata = '';
$curdata = array();

if (isset($_SESSION['item_'.$section_id]))
	$curpage = $_SESSION['item_'.$section_id];
if (isset($_GET['item']) && is_numeric($_GET['item'])) {
  $curpage = $_GET['item'];
  $_SESSION['item_'.$section_id] = $curpage;
} 
   
$pages = $database->query('SELECT page_id, page_title FROM '.TABLE_PREFIX.'pages WHERE `parent` = '.$current.' ORDER BY position');
if ($pages && $pages->numRows() > 0) {
	while ($subpage = $pages->fetchRow()) {
		$thepage = $subpage['page_id'];
		$sections = $database->query('SELECT section_id FROM '.TABLE_PREFIX.'sections WHERE page_id = '.$thepage.' ORDER BY position');
		if ($sections && $sections->numRows() > 0) {
			$subsection = $sections->fetchRow();
			$section = $subsection['section_id'];
			$query = $database->query('SELECT * FROM '.TABLE_PREFIX.'mod_portfolio_detail WHERE section_id = '.$section);
			if ($query && $query->numRows() > 0) {
				$counter++;
				if ($curpage == 0) $curpage = $counter;
				$sectiondata = $query->fetchRow();
				$thumb  = $sectiondata['thumbnail'];
				if ($thumb !== "") {
					$alt  = $sectiondata['alt'];
					if ($resize_panels) {
						//get real thumb size
						list($mw, $mh, $mtype, $mattr) = @getimagesize($portfolio_dir.$thumb);
						$scale = (double)(($thumbheight * 100) / $mh);  //height percentage
						$scale_width = $mw /100 * $scale + ($panelpadding * 2); //width must be same percentage
						$scale_height = $thumbheight + ($panelpadding * 2);
						$rdata .= '<div style="width:'.$scale_width.'px; height:'.$scale_height.'px;" class="panel"><a href="?item='.$counter.'"><img alt="'.$alt.'" title="'.$alt.'" src="'.$portfolio_url.$thumb.'"></a></div>'."\n";
					} else {
						$rdata .= '<div class="panel"><a href="?item='.$counter.'"><img alt="'.$alt.'" title="'.$alt.'" src="'.$portfolio_url.$thumb.'"></a></div>'."\n";
					}
					if ($curpage == $counter) {
						$curdata = $sectiondata;
					}
				}
			}	
		} 
	}	
	$rdata .= '';
} else {
  $rdata = '';
}



$carousel	= '<div id="mygallery" class="stepcarousel"><div class="belt">'.$rdata."</div></div>";
$lightbox	= '<a href="'.$portfolio_url.$curdata['fullimage'].'" title="'.$curdata['alt'].'" class="zoom"><img src="'.$portfolio_url.$curdata['mediumimage'].'" alt="'.$curdata['alt'].'" title="'.$curdata['alt'].'" /></a>';
$thumbnail	= '<img src="'.$portfolio_url.$curdata['thumbnail'].'" alt="'.$curdata['alt'].'" title="'.$curdata['alt'].'" />';
$mediumimg	= '<img src="'.$portfolio_url.$curdata['mediumimage'].'" alt="'.$curdata['alt'].'" title="'.$curdata['alt'].'" />';
$fullimg 	= '<img src="'.$portfolio_url.$curdata['fullimage'].'" alt="'.$curdata['alt'].'" title="'.$curdata['alt'].'" />';

$vars = array( '{CAROUSEL}', '{WYSIWYG}','{IMAGE}','{THUMBNAIL}','{MEDIUMIMAGE}','{FULLIMAGE}' );
$values = array ($carousel, $curdata['content'], $lightbox, $thumbnail,$mediumimg,$fullimg );

$efields = __unserialize($curdata['serialized']);
$fieldArray = explode(",",$settings['fields']);
foreach  ($fieldArray as $v => $k) {
	if (!isset($efields[$k])) $efields[$k] = "";
	$efields[$k]= str_replace('http://', '', $efields[$k] );
	$vars[] = strtoupper('{'.$k.'}');
	$values[] = $efields[$k];
}

$output = str_replace($vars, $values, stripslashes($settings['template']));
$wb->preprocess($output);
echo $output;
?>		